import { MidwayConfig } from '@midwayjs/core';
const ip = '127.0.0.1'; //120.48.146.1
const redisHost = '127.0.0.1';
const redisPwd = '123456';
const redisDB = 6;
const projectDB = 'vue3js-template-test';
const recordDB = 'vue3js-template-test-record'
const loginSign = 'tsFrameDev';
export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1697684406848_4978',
  loginSign,
  koa: {
    port: 9700,
    globalPrefix: '/cxyy/api',
    queryParseMode: 'extended',
  },
  swagger: {
    swaggerPath: '/doc/api',
  },
  elasticsearch: {
    node: 'http://192.168.1.197:9200',
    auth: {
      username: 'elastic',
      password: 'NAjqFz_7tS2DkdpU7p*x',
    },
  },
  dbName: projectDB,
  mongoose: {
    dataSource: {
      default: {
        uri: `mongodb://${ip}:27017/${projectDB}`,
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entity'],
      },
      record:{
        uri: `mongodb://${ip}:27017/${recordDB}`,
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entityRecord'],
      }
    },
  },
  redis: {
    client: {
      port: 6379, // Redis port
      host: redisHost, // Redis host
      password: redisPwd,
      db: redisDB,
    },
  },
  bull: {
    // 默认的队列配置
    defaultQueueOptions: {
      redis: {
        port: 6379,
        host: redisHost,
        password: redisPwd,
        db: redisDB,
      },
    },
  },
  upload: {
    whitelist: null,
  },
} as MidwayConfig;
