import { Controller, Get, Inject, httpError } from '@midwayjs/core';
import { Context } from '@midwayjs/koa';
import { MidwayI18nService } from '@midwayjs/i18n';
@Controller('/')
export class HomeController {
  @Inject()
  ctx: Context;
  @Inject()
  i18n: MidwayI18nService;

  @Get('/', { description: 'ignore' })
  async home(): Promise<string> {
    // throw new Error('LOGIN.TEST')
    return 'server starting';
  }
}
