import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'incubator' },
})
export class Incubator extends BaseModel {
  @prop({ required: false, index: true, zh: '平台用户id' })
  user: string;
  @prop({ required: false, index: true, zh: '名称' })
  name: string;
  @prop({ required: false, index: false, zh: '负责人姓名' })
  person: string;
  @prop({ required: false, index: true, zh: '负责人电话' })
  person_phone: string;
  @prop({ required: false, index: false, zh: '地址' })
  address: string;
  @prop({ required: false, index: false, zh: '简介' })
  brief: string;
  @prop({ required: false, index: true, zh: '是否公开', default: '0' })
  is_show: string;
  @prop({ required: false, index: true, zh: '状态', default: '0' })
  status: string;
}
