import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'project' },
})
export class Project extends BaseModel {
  @prop({ required: false, index: false, zh: '平台用户id' })
  user: string;
  @prop({ required: false, index: true, zh: '名称' })
  name: string;
  @prop({ required: false, index: true, zh: '发布时间' })
  time: string;
  @prop({ required: false, index: true, zh: '行业分类' })
  type: string;
  @prop({ required: false, index: true, zh: '成熟度' })
  maturity: string;
  @prop({ required: false, index: true, zh: '技术类型' })
  skill: string;
  @prop({ required: false, index: true, zh: '领域' })
  field: string;
  @prop({ required: false, index: true, zh: '合作类型' })
  cooperate: string;
  @prop({ required: false, index: true, zh: '项目地区' })
  area: Array<any>;
  @prop({ required: false, index: false, zh: '简介' })
  brief: string;
  @prop({ required: false, index: false, zh: '是否公开' })
  is_use: string;
  @prop({ required: false, index: true, zh: '状态' })
  status: string;
}
