import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'investment' },
})
export class Investment extends BaseModel {
  @prop({ required: false, index: true, zh: '平台用户id' })
  user: string;
  @prop({ required: false, index: true, zh: '投资人姓名' })
  name: string;
  @prop({ required: false, index: false, zh: '投资人证件类型' })
  cardType: string;
  @prop({ required: false, index: false, zh: '投资人证件号码' })
  card: string;
  @prop({ required: false, index: false, zh: ' 投资人出资额' })
  money: string;
  @prop({ required: false, index: true, zh: '投资人出资方式' })
  type: string;
  @prop({ required: false, index: false, zh: '投资人的住所地' })
  address: string;
  @prop({ required: false, index: false, zh: '投资人的联系方式' })
  phone: string;
  @prop({ required: false, index: true, zh: '简介' })
  brief: string;
  @prop({ required: false, index: true, zh: '是否公开' })
  is_show: string;
  @prop({ required: false, index: true, zh: '状态' })
  status: string;
}
