import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'unit' },
})
export class Unit extends BaseModel {
  @prop({ required: false, index: true, zh: '平台用户id' })
  user: string;
  @prop({ required: false, index: false, zh: '科研机构名称' })
  name: string;
  @prop({ required: false, index: true, zh: '联系人' })
  person: string;
  @prop({ required: false, index: true, zh: '联系电话' })
  person_phone: string;
  @prop({ required: false, index: false, zh: '简介' })
  brief: string;
  @prop({ required: false, index: false, zh: '地址' })
  address: string;
  @prop({ required: false, index: true, zh: '是否公开' })
  is_show: string;
  @prop({ required: false, index: true, zh: '状态' })
  status: string;
}
