import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'dataLogs' },
})
export class DataLogs extends BaseModel {
  @prop({ required: false, index: true, zh: '表' }) //, esType: 'keyword'
  coll: string;
  @prop({ required: false, index: false, zh: '数据id' })
  data_id: string;
  @prop({ required: false, index: false, zh: '时间' })
  time: string;
  @prop({ required: false, index: false, zh: '数据库操作方法' })
  method: string;
  @prop({ required: false, index: false, zh: '数据' })
  data: object;
}
