export enum ErrorCode {
  SERVICE_ERROR = 'SERVICE_ERROR',
  SERVICE_CANT_USE = 'SERVICE_CANT_USE',
  ES_ERROR = 'ES_ERROR',
  ES_INDEX_NOT_FOUND = 'ES_INDEX_NOT_FOUND',
  ES_DATA_NOT_FOUND = 'ES_DATA_NOT_FOUND',
  NOT_LOGIN = 'NOT_LOGIN',
  ACCOUNT_HAS_EXPIRED = 'ACCOUNT_HAS_EXPIRED',
  ACCOUNT_LOGGED_IN_ELESWHERE = 'ACCOUNT_LOGGED_IN_ELESWHERE',
  USER_NOT_FOUND = 'USER_NOT_FOUND',
  BAD_PASSWORD = 'BAD_PASSWORD',
  USER_IS_DISABLED = 'USER_IS_DISABLED',
  ROLE_IS_DISABLED = 'ROLE_IS_DISABLED',
  SERVICE_REPEAT = 'SERVICE_REPEAT',
}
export class ServiceError extends Error {
  constructor(errcode: string) {
    super(errcode);
    this.name = 'ServiceError';
  }
}
