import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { News } from '../../entity/platform/news.entity';
type modelType = ReturnModelType<typeof News>;
@Provide()
export class NewsService extends BaseService<modelType> {
  @InjectEntityModel(News)
  model: modelType;
  // 加浏览量
  async fetchBrowse(data) {
    const { number, _id } = data;
    await this.model.updateOne({ _id }, { number: number + 1 });
  }
}
