import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Incubator } from '../../entity/users/incubator.entity';
type modelType = ReturnModelType<typeof Incubator>;
@Provide()
export class IncubatorService extends BaseService<modelType> {
  @InjectEntityModel(Incubator)
  model: modelType;
}
