import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { State } from '../../entity/users/state.entity';
type modelType = ReturnModelType<typeof State>;
@Provide()
export class StateService extends BaseService<modelType> {
  @InjectEntityModel(State)
  model: modelType;
}
