import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Unit } from '../../entity/users/unit.entity';
type modelType = ReturnModelType<typeof Unit>;
@Provide()
export class UnitService extends BaseService<modelType> {
  @InjectEntityModel(Unit)
  model: modelType;
}
